Update multiple Searches
curl --request PATCH \
--url https://commerce.driv.ly/api/searches \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"updatedAt": "<string>",
"createdAt": "<string>",
"lead": 123,
"retailListingUrls": "<string>",
"year": "<string>",
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"bodyStyle": [],
"drive": [],
"transmission": [],
"maxPrice": "<string>",
"maxMiles": 123,
"newOrUsed": [],
"minimumGrade": 123,
"requiredOptions": [],
"acceptableColors": [],
"acceptableInterior": [],
"proposedVehicles": "<string>",
"vehicles": [
123
],
"lastModifiedBy": 123,
"seats": "<string>",
"updateRequested": "<string>",
"oneOwner": true,
"priority": true
}
'import requests
url = "https://commerce.driv.ly/api/searches"
payload = {
"updatedAt": "<string>",
"createdAt": "<string>",
"lead": 123,
"retailListingUrls": "<string>",
"year": "<string>",
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"bodyStyle": [],
"drive": [],
"transmission": [],
"maxPrice": "<string>",
"maxMiles": 123,
"newOrUsed": [],
"minimumGrade": 123,
"requiredOptions": [],
"acceptableColors": [],
"acceptableInterior": [],
"proposedVehicles": "<string>",
"vehicles": [123],
"lastModifiedBy": 123,
"seats": "<string>",
"updateRequested": "<string>",
"oneOwner": True,
"priority": True
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updatedAt: '<string>',
createdAt: '<string>',
lead: 123,
retailListingUrls: '<string>',
year: '<string>',
make: '<string>',
model: '<string>',
trim: '<string>',
bodyStyle: [],
drive: [],
transmission: [],
maxPrice: '<string>',
maxMiles: 123,
newOrUsed: [],
minimumGrade: 123,
requiredOptions: [],
acceptableColors: [],
acceptableInterior: [],
proposedVehicles: '<string>',
vehicles: [123],
lastModifiedBy: 123,
seats: '<string>',
updateRequested: '<string>',
oneOwner: true,
priority: true
})
};
fetch('https://commerce.driv.ly/api/searches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"errors": [
"<string>"
],
"docs": [
{
"updatedAt": "<string>",
"createdAt": "<string>",
"lead": 123,
"retailListingUrls": "<string>",
"year": "<string>",
"make": "<string>",
"model": "<string>",
"trim": "<string>",
"bodyStyle": [],
"drive": [],
"transmission": [],
"maxPrice": "<string>",
"maxMiles": 123,
"newOrUsed": [],
"minimumGrade": 123,
"requiredOptions": [],
"acceptableColors": [],
"acceptableInterior": [],
"proposedVehicles": "<string>",
"vehicles": [
123
],
"lastModifiedBy": 123,
"seats": "<string>",
"updateRequested": "<string>",
"oneOwner": true,
"priority": true
}
]
}Searches
Update multiple Searches
Update all Searches matching the where query
PATCH
/
searches
Update multiple Searches
Usage with the Drivly SDK
Usage with the Drivly SDK
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { searches } from '@drivly/commerce'
const sdk = new SDK(...)
const searches = await sdk.searches.unknown()
Authorizations
Query Parameters
sort by field
pass a where query to constrain returned documents (complex type, see documentation)
Show child attributes
Show child attributes
Example:
{
"or": [
{ "color": { "equals": "mint" } },
{
"and": [
{ "color": { "equals": "white" } },
{ "featured": { "equals": false } }
]
}
]
}
limit the returned documents to a certain number
get a specific page of documents
number of levels to automatically populate relationships and uploads
retrieves document(s) in a specific locale
specifies a fallback locale if no locale value exists
Body
application/json
Available options:
On Hold, Searching, Results Found, Search Cancelled Available options:
car, suv, truck, van, wagon Available options:
4WD, AWD, 2WD Available options:
Manual, Automatic Available options:
New, Certified, Used Available options:
Heated Seats, No crazy colors, Tow package, Heated wheel, Panoramic sunroof, Leather Seats, Bluetooth, Backup Camera, Apple Play, Cooled Seats Available options:
Anti-Black, Anti-Gray, Anti-Red, Anti-Silver, Anti-White, Beige, Black, Blue, Brown, Gold, Gray, Green, Light Blue, Orange, Red, Silver, White, Yellow Available options:
Beige, Black, Brown, Cream, Gray, Ivory, Red, Tan, White, Blue, Burgundy, Charcoal, Off-White ⌘I